Board Card Fields
2 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
List card fields for a board (ordered by position)#
GET
/boards/{boardId}/card-fieldsTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
boardIdPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/card-fields" \
-H "Authorization: Bearer $XISUITE_TOKEN"Replace all card fields for a board (delete-then-insert)#
PUT
/boards/{boardId}/card-fieldsTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
boardIdPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
fieldsPflicht | CardFieldItemDto[] | – |
fields[].custom_field_idPflicht | string | Custom field UUID or built-in identifier (e.g. __status, __priority) |
fields[].positionPflicht | number | |
fields[].widthPflicht | string | Werte: |
fields[].color | object | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/card-fields" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"fields":[]}'